{% extends "tanggapan_lowongan/layout/base.html" %}

{% block content %}
<div class="wrapper-page">
    <!--<div class="wrapper-kiri">
        <div class="wrapper-content">
        <h1 class="friend-title text-white">Update Status</h1>
        <form id="form" method="POST" action="{% url 'tanggapan_lowongan:add_status' %}" class="form-main">
            {% csrf_token %}
            {{ status_form }}
            <br>
            <button type="submit" class="btn btn-default" style="float: right;">Post Status</button>
            <br>
        </form>
        </div>
    </div>-->
    <div class="wrapper-kanan">
        <div class="wrapper-content">
        <h1 class="recent-updates text-white"> Recent Updates</h1>
        <hr class="divider">
        <div class="scrollable">
        <div class="flex-list">
            {% for i in message_list %}
            <div class="flex-list-item friend-list-item">
                <!-- <img class="img-circle" src="https://vignette.wikia.nocookie.net/spongebob/images/9/95/Hash.jpg/revision/latest?cb=20120624212303" alt = "Me" style="width: 50px; height: 50px;"> -->
                <div class="flex-list-item-post">
                    <h2>{{i.title}}</h2>
                    <h3>{{i.message}}</h3>
                    <h5>company: {{i.pengguna.nama}}</h5>
                    <h5>{{i.created_date}}</h5>
                </div>
                <!-- <div class="flex-list-item-comment">
                    <div class="flex-list-item-comment-button" data-id="{{data.id}}">Comment</div>
                </div>
                <div class="flex-list-item-delete">
                    <div class="flex-list-item-delete-button" data-id="{{i.id}}"><a href="{% url 'tanggapan_lowongan:delete_status' object_id=i.id%}" style="color: white">Delete</a></div>
                </div> -->
            </div>
                <div class="flex-list-item-comment-section">
                    <div class="comment-section">
                        <div class="comment-section-comment">
                            <h3>Comment</h3>
                            {% if i.comment_set.all %}
                                {% for comment in i.comment_set.all %}
                                    <h4>{{comment.nama}}</h4>
                                    <h5>{{comment.comment}}</h5>
                                    <h6>{{comment.created_date}}</h6>
                                    <hr>
                                {% endfor %}
                            {% endif %}
                        </div>
                        <div class="comment-section-form">
                        <form id="form" method="POST" action="{% url 'tanggapan_lowongan:add_comment' pk=i.id%}" class="form-comment" style="color: black">
                            {% csrf_token %}
                            {{ comment_form }}
                            <input id="submit" type="submit" class="btn" value="Submit" style="bottom: -10px">
                            <br>
                        </form>
                        </div>
                    </div>
                </div>
            {% endfor %}
            
            {% if message_list.has_other_pages %}
            <ul class="pagination">
                {% if message_list.has_previous %}
                    <li><a href="?page={{ message_list.previous_page_number }}">&laquo;</a></li>
                {% else %}
                    <li class="disabled"><span>&laquo;</span></li>
                {% endif %}
        
                {% for i in message_list.paginator.page_range %}
                    {% if message_list.number == i %}
                        <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
                    {% else %}
                        <li><a href="?page={{ i }}">{{ i }}</a></li>
                    {% endif %}
                {% endfor %}
                {% if message_list.has_next %}
                      <li><a href="?page={{ message_list.next_page_number }}">&raquo;</a></li>
                {% else %}
                      <li class="disabled"><span>&raquo;</span></li>
                {% endif %}
            </ul>
            {% endif %}

        </div>
        </div>
    </div>
    </div>
</div>
{% endblock %}
